import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, m = Object.getOwnPropertyDescriptor, p = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, n = c.length - 1, i; n >= 0; n--)
    (i = c[n]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && v(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--krone", this.class = "c-pieIcon c-pieIcon--krone", this.name = "IconKrone";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--krone"><path d="M3.415 12.27H1.35V3.73h2.074v3.868L6.723 3.73h2.44L5.919 7.589l3.368 4.672H6.793l-2.31-3.167-1.068 1.234v1.942Z"></path><path d="M10.021 5.778h1.82v.83h.027c.157-.253.393-.48.7-.682.306-.201.682-.297 1.128-.297.175 0 .342.009.5.035.157.026.314.052.463.096l-.508 1.934a1.532 1.532 0 0 0-.76-.184c-.42 0-.762.131-1.025.403-.262.27-.393.638-.393 1.12v3.246H10.03V5.795l-.009-.017Z"></path></svg>`;
  }
};
p([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
p([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = p([
  f("icon-krone")
], o);
export {
  o as IconKrone
};
